Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
agora::media::base::PlayerStreamInfo Struct Reference

`#include <AgoraMediaPlayerTypes.h>`

## Public Member Functions
| PlayerStreamInfo ()

## Public Attributes
int | streamIndex
MEDIA_STREAM_TYPE | streamType
char | codecName [kMaxCharBufferLength]
char | language [kMaxCharBufferLength]
int | videoFrameRate
int | videoBitRate
int | videoWidth
int | videoHeight
int | videoRotation
int | audioSampleRate
int | audioChannels
int | audioBitsPerSample
int64_t | duration

## Constructor & Destructor Documentation

## ◆ PlayerStreamInfo()

agora::media::base::PlayerStreamInfo::PlayerStreamInfo | ( |  | ) |
| inline

## Member Data Documentation

## ◆ streamIndex

int agora::media::base::PlayerStreamInfo::streamIndex

The index of the media stream.

## ◆ streamType

MEDIA_STREAM_TYPE agora::media::base::PlayerStreamInfo::streamType

The type of the media stream. See `MEDIA_STREAM_TYPE`.

## ◆ codecName

char agora::media::base::PlayerStreamInfo::codecName[kMaxCharBufferLength]

The codec of the media stream.

## ◆ language

char agora::media::base::PlayerStreamInfo::language[kMaxCharBufferLength]

The language of the media stream.

## ◆ videoFrameRate

int agora::media::base::PlayerStreamInfo::videoFrameRate

This parameter only takes effect for video streams, and indicates the video frame rate (fps).

## ◆ videoBitRate

int agora::media::base::PlayerStreamInfo::videoBitRate

This parameter only takes effect for video streams, and indicates the video bitrate (bps).

## ◆ videoWidth

int agora::media::base::PlayerStreamInfo::videoWidth

This parameter only takes effect for video streams, and indicates the video width (pixel).

## ◆ videoHeight

int agora::media::base::PlayerStreamInfo::videoHeight

This parameter only takes effect for video streams, and indicates the video height (pixel).

## ◆ videoRotation

int agora::media::base::PlayerStreamInfo::videoRotation

This parameter only takes effect for video streams, and indicates the video rotation angle.

## ◆ audioSampleRate

int agora::media::base::PlayerStreamInfo::audioSampleRate

This parameter only takes effect for audio streams, and indicates the audio sample rate (Hz).

## ◆ audioChannels

int agora::media::base::PlayerStreamInfo::audioChannels

This parameter only takes effect for audio streams, and indicates the audio channel number.

## ◆ audioBitsPerSample

int agora::media::base::PlayerStreamInfo::audioBitsPerSample

This parameter only takes effect for audio streams, and indicates the bit number of each audio sample.

## ◆ duration

int64_t agora::media::base::PlayerStreamInfo::duration

The total duration (ms) of the media stream.